package it.integry.integrywmsnative.core.data_store.db.repository;

import java.util.Date;
import java.util.List;

import it.integry.integrywmsnative.core.data_store.db.entity.SqlMtbColt;
import it.integry.integrywmsnative.core.data_store.db.wrappers.DocInternoWrapper;
import it.integry.integrywmsnative.core.expansion.RunnableArgs;

public interface MtbColtRepository {

    void selectAll(RunnableArgs<List<SqlMtbColt>> onSuccess, RunnableArgs<Exception> onError);

    void insert(SqlMtbColt mtbColt, RunnableArgs<Integer> onSuccess, RunnableArgs<Exception> onError);

    void update(SqlMtbColt mtbColt, RunnableArgs<SqlMtbColt> onSuccess, RunnableArgs<Exception> onError);

    void delete(SqlMtbColt mtbColt, Runnable onSuccess, RunnableArgs<Exception> onError);

    void getLocalDocumentsByCodDtip(String codDtip, String codAnag, String codVdes, Date dataDoc, String numDoc, RunnableArgs<List<DocInternoWrapper>> onSuccess, RunnableArgs<Exception> onError);

    void getNextNumCollo(RunnableArgs<Integer> onSuccess, RunnableArgs<Exception> onError);

}
